/* Copyright (c) 2016 Raffaele Arecchi
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

package aktrs.messages;

import java.io.Serializable;

import aktrs.rt.ActorAddress;

public class AverageProcessingTimeByClassResponse implements Serializable {
	private static final long serialVersionUID = 1L;

	public Double averageProcessingTime;
	public ActorAddress profiledActorAddress;
	public Class<?> klass;

	public AverageProcessingTimeByClassResponse() {
	}

	public static AverageProcessingTimeByClassResponse create(Double averageProcessingTime, ActorAddress profiledActorAddress, Class<?> klass) {
		AverageProcessingTimeByClassResponse av = new AverageProcessingTimeByClassResponse();
		av.klass = klass;
		av.profiledActorAddress = profiledActorAddress;
		av.averageProcessingTime = averageProcessingTime;
		return av;
	}

}
