/* Copyright (c) 2016 Raffaele Arecchi
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

package aktrs.rt;

import java.util.Iterator;
import java.util.logging.Level;

import aktrs.messages.Stop;

public class SystemActor extends Actor {

	public SystemActor() {
	}

	@Override
	protected void manageStop(Stop message) {
		getSystem().logger.info("Shutting down Actor System " + getSystem().id + " : " + message.reason);
		Iterator<Actor> actorIterator = getSystem().registeredActors();
		while (actorIterator.hasNext()) {
			Actor actor = null;
			try {
				actor = actorIterator.next();
				if (!actor.address.equals(address) && !actor.isProxyForRemote()) {
					getSystem().dissolve(actor, message.reason);
				}
			} catch (Exception e) {
				if (actor != null) {
					getSystem().logger.log(Level.SEVERE, "Actor " + address.toString() + ". Error dissolving Actor " + actor.address.toString(), e);
				}
			}
		}
		getSystem().closeResources();
	}
}
