/* Copyright (c) 2016 Raffaele Arecchi
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

package aktrs.test.local;

import java.math.BigInteger;

import aktrs.rt.Actor;

public class GatherActor extends Actor {

	private int numberOrWorkers;
	private int processedWorkers;
	private BigInteger sumOfFibonacci = BigInteger.ZERO;

	public GatherActor() {
	}

	@Override
	protected void onMessage(Object message, Actor sender) {
		if (message instanceof StartScatterGather) {
			StartScatterGather m = (StartScatterGather) message;
			this.numberOrWorkers = m.numberoOfWorkers;
			processedWorkers = 0;
		} else if (message instanceof ResultFibonacciMessage) {
			ResultFibonacciMessage m = (ResultFibonacciMessage) message;
			sumOfFibonacci = sumOfFibonacci.add(m.number);
			processedWorkers++;
			if (processedWorkers == numberOrWorkers) {
				System.out.println("Sum of Fibonacci: " + sumOfFibonacci);
				getSystem().shutdown("Scatter-gather completed");
			}
		}
	}
}
