/* Copyright (c) 2016 Raffaele Arecchi
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

package aktrs.test.local;

import java.io.IOException;
import java.util.logging.Level;

import aktrs.rt.Actor;
import aktrs.rt.ActorSystem;

/**
 * Simple actor test
 * 
 * @author Raffaele Arecchi
 *
 */

public class Test1 {

	public static void main(String[] args) throws SecurityException, IOException {
		ActorSystem system = new ActorSystem("my-system");
		system.setLogLevel(Level.FINE);

		Actor slowHelloActor = system.summon("/my-system/slow-hello-actor", SlowHelloActor.class);
		Actor systemActor = system.evoke("/my-system/system");

		TestMessage message1 = new TestMessage();
		message1.mx = "Gino";
		TestMessage message2 = new TestMessage();
		message2.mx = "Pino";
		TestMessage message3 = new TestMessage();
		message3.mx = "Tino";
		systemActor.tell(slowHelloActor, message1);
		systemActor.tell(slowHelloActor, message2);
		systemActor.tell(slowHelloActor, message3);
		systemActor.tell(slowHelloActor, "Giorgio");
		system.shutdown("no reason");
	}
}
