/* Copyright (c) 2016 Raffaele Arecchi
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

package aktrs.test.remote;

import java.net.InetAddress;
import java.net.UnknownHostException;
import java.util.logging.Level;

import aktrs.rt.Actor;
import aktrs.rt.ActorSystem;

/**
 * Remote dissolve test
 */
public class Test3_Remote1 {

	public static void main(String[] args) throws UnknownHostException {
		ActorSystem system = new ActorSystem("requester-sys", 9001);
		system.setLogLevel(Level.FINE);
		system.link("remote-sys", InetAddress.getLocalHost(), 9002);

		Actor remoteActor = system.summon("/remote-sys/remote-actor", Actor.class);
		system.dissolve(remoteActor);
	}

}
